List payments
Reporting API available to fetch list of payments based on specific selection criteria
oauthAuthorizationBearer <token>OAuth2 password grant - see the documentation in the oAuth2 Authentication section
id?stringUUID of the Payment
uuidbank?stringUUID of the Bank
uuidcurrency?string3-letter currency code - See ISO 4217 - Currency codes
amount?integerThe amount of the transaction in 1/100 units (pence, cents etc)
type?stringThe transaction type (predefined, please choose the most appropriate for your transaction)
"BILL""GOODS""PERSON_TO_PERSON""OTHER""SERVICES"uniqueReference?stringUnique reference for the payment
status?stringThe current status of the payment
page?integerYou can request additional pages of information by appending the page parameter to your GET request. Pages start numbering at 1 and are in blocks of 50 records, so to call records 51-100, append page=2 to your request. If you omit the page parameter, we will return you the information on page 1.
1 <= value1limit?integerIf you want to return more than the default number of records per page, append the parameter items to your GET request. To get the first 100 records, append limit=100 to your request. To get the next 100 records, append page=2&limit=100. If you omit the items parameter, we will return 50 records per page.
1 <= value <= 10050showAll?stringBy default, some default filters are applied on payments. If you want to make sure no default filters are applied, use this with the value of 1.
OK - All payments corresponding to specified filters
application/json- response
[index: integer]?Payments - money flowing from a consumer to a merchant.
curl -X GET 'https://api.sandbox.volt.io/payments?id=662384a0-9734-4556-a8bd-3f1e774e2a3c&bank=662384a0-9734-4556-a8bd-3f1e774e2a3c¤cy=EUR&amount=12345&type=OTHER&uniqueReference=sale123456&status=RECEIVED'[ { "id": "ed2f2418-3009-48e0-9a43-051e5c3ee5b6", "active": true, "createdAt": "2023-02-16T09:42:20+00:00", "currency": { "id": "GBP", "name": "POUND STERLING", "decimal": 2, "active": true }, "amount": 1, "type": "BILL", "account": { "id": "66683afe-7dc0-4939-8dab-4a3d657b2b91", "active": true, "createdAt": "2021-04-29T08:15:42+00:00", "currency": { "id": "GBP", "name": "POUND STERLING", "decimal": 2, "active": true }, "country": { "id": "GB", "name": "United Kingdom" } }, "bank": { "id": "e822a93c-72d4-4de1-8bcc-2381370c5437", "name": "Ulster Bank (UK)", "country": { "id": "GB", "name": "United Kingdom" }, "officialName": "Ulster Bank (UK)", "localName": null, "branchName": "Ulster Bank (UK)", "shortBranchName": null, "createdAt": "2022-06-01T13:45:14+00:00", "active": true, "logo": "https://cdn.sandbox.volt.io/banks/logos/default.png", "icon": "https://cdn.sandbox.volt.io/banks/icons/default.png" }, "uniqueReference": "AJmEznH3kLVT2mpoqK", "status": "RECEIVED", "statusUpdates": [ { "createdAt": "2023-02-16T09:42:37+00:00", "newStatus": "APPROVED_BY_RISK" }, { "createdAt": "2023-02-16T09:42:37+00:00", "newStatus": "BANK_REDIRECT" }, { "createdAt": "2023-02-16T09:43:10+00:00", "newStatus": "AUTHORISED_BY_USER" }, { "createdAt": "2023-02-16T09:43:11+00:00", "newStatus": "COMPLETED" }, { "createdAt": "2023-02-16T09:45:01+00:00", "newStatus": "RECEIVED" } ], "beneficiary": { "id": "cc9a9f87-7be9-4aae-928d-a27b9c3b689c", "customerId": "e6707f41-5f2a-4a39-8338-084fb3a8e19b", "accountIdentifications": [ { "type": "sortCode", "value": "123456" }, { "type": "accountName", "value": "Test CM account" }, { "type": "accountNumber", "value": "12345678" } ], "country": { "id": "GB", "name": "United Kingdom" } }, "transferType": "Faster Payments Scheme", "pblValidityPeriod": null, "sender": { "name": null, "email": null, "ip": null, "deviceFingerprint": "c1fc9f277826d16825940603196ab037", "voltConnect": { "accountName": "Jane Doe", "accountNumber": null, "sortCode": null } } }, { "id": "729771f6-37a3-4635-836f-566b60b217a8", "active": true, "createdAt": "2023-02-16T09:32:24+00:00", "currency": { "id": "GBP", "name": "POUND STERLING", "decimal": 2, "active": true }, "amount": 1, "type": "BILL", "account": { "id": "66683afe-7dc0-4939-8dab-4a3d657b2b91", "active": true, "createdAt": "2021-04-29T08:15:42+00:00", "currency": { "id": "GBP", "name": "POUND STERLING", "decimal": 2, "active": true }, "country": { "id": "GB", "name": "United Kingdom" } }, "bank": { "id": "c2a44111-03df-475a-9800-e7ce6bbaa0b7", "name": "Natwest Bank Sandbox", "country": { "id": "GB", "name": "United Kingdom" }, "officialName": "Natwest Bank Sandbox", "localName": null, "branchName": "Natwest Bank Sandbox", "shortBranchName": null, "createdAt": "2021-08-10T14:34:02+00:00", "active": true, "logo": "https://cdn.sandbox.volt.io/banks/logos/default.png", "icon": "https://cdn.sandbox.volt.io/banks/icons/default.png" }, "uniqueReference": "6eSCeNp4Pd0CRruSPt", "status": "RECEIVED", "statusUpdates": [ { "createdAt": "2023-02-16T09:32:34+00:00", "newStatus": "APPROVED_BY_RISK" }, { "createdAt": "2023-02-16T09:32:34+00:00", "newStatus": "BANK_REDIRECT" }, { "createdAt": "2023-02-16T09:33:23+00:00", "newStatus": "AUTHORISED_BY_USER" }, { "createdAt": "2023-02-16T09:33:24+00:00", "newStatus": "COMPLETED" }, { "createdAt": "2023-02-16T09:35:02+00:00", "newStatus": "RECEIVED" } ], "beneficiary": { "id": "cc9a9f87-7be9-4aae-928d-a27b9c3b689c", "customerId": "e6707f41-5f2a-4a39-8338-084fb3a8e19b", "accountIdentifications": [ { "type": "sortCode", "value": "123456" }, { "type": "accountName", "value": "Test CM account" }, { "type": "accountNumber", "value": "12345678" } ], "country": { "id": "GB", "name": "United Kingdom" } }, "transferType": "Faster Payments Scheme", "pblValidityPeriod": null, "sender": { "name": null, "email": null, "ip": null, "deviceFingerprint": "c1fc9f277826d16825940603196ab037", "voltConnect": { "accountName": "Jane Doe", "accountNumber": null, "sortCode": null } } }]Payment details GET
Returns the full details of an existing payment that you've created througn the POST /payments endpoint. Simply supply the ```id``` of the payment we returned when the payment was created. You can retrieve a filterable list of payments through the ```GET /payments``` endpoint.
Payment Match Score GET
This endpoint will allow accurately matches naming nuances between merchant inputs and end-user bank records